package org.convey;

import org.jdom.*;

/**
 * @author Andy Ames
 */
public class NewGraphicEvent extends GraphicEvent {

	public NewGraphicEvent(Graphic graphic) {
		super(graphic);
	}

	public Element toElement() {
		Element element = super.toElement();

		element.setName("new");

		element.addContent(super.getGraphic().toElement());

		return element;
	}

}