package org.convey;

import javax.swing.*;
import javax.swing.border.*;

import java.awt.*;

import java.util.*;

/**
 * @author Andy Ames
 */
public abstract class PropertyPanel extends JPanel {

	protected Vector selectedGraphics;

	public PropertyPanel(String title) {
		super.setBorder(new TitledBorder(title));
	}

	public void setSelectedGraphics(Vector selectedGraphics) {
		this.selectedGraphics = selectedGraphics;
	}

	public abstract void setNoneSelected();

	public abstract void setWrongTypeSelected();

	public abstract void setRightTypeSelected();

}