package org.convey;

import java.awt.*;

import java.io.*;

import java.net.*;

import javax.swing.*;

public class ResourceLoader {

	static public ImageIcon loadImageIcon(String name) {
		ClassLoader loader = ClassLoader.getSystemClassLoader();

		if(loader != null) {
			URL url = loader.getResource(name);

			if(url != null) {
				Toolkit tk = Toolkit.getDefaultToolkit();
				Image image = tk.getImage(url);
				if(image != null)
					return new ImageIcon(image);
			}
		}

		return null;
	}

}