package org.convey;

import java.util.*;

import org.jdom.*;

/**
 * @author Andy Ames
 */
public class GraphicEvent extends EventObject {

	public GraphicEvent(Vector graphicEvents) {
		super(graphicEvents);
	}

	public GraphicEvent(Graphic graphic) {
		super(graphic);
	}

	public Graphic getGraphic() {
		return (Graphic)super.source;
	}

	public void setGraphic(Graphic graphic) {
		super.source = graphic;
	}

	public Element toElement() {
		Element element = new Element("dummy");

		element.setAttribute("name", this.getGraphic().getName());

		return element;
	}

}